> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-beta.getzep.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server.

# List Agent Skill Relationships

GET https://api.getzep.com/api/v4/agents/{agent_uuid}/skills/{skill_uuid}/relations

Reference: https://docs-beta.getzep.com/sdk-reference/agent/skill/relation/list

## Authentication

- `Authorization` header (required) (prefixed with ` Api-Key  `) — Type "Api-Key" followed by a space and the project API key.

## Request

### Path parameters

- `agent_uuid` (string, required) — Agent UUID
- `skill_uuid` (string, required) — Skill UUID

### Query parameters

- `kind` (list of enum, optional) — Relationship kinds
  - Allowed values: `composes`, `requires`, `conflicts_with`, `supersedes`, `related`, `uses_tool`, `uses_environment`, `supported_by`, `contradicted_by`, `supersedes_version`, `applied_in`
- `limit` (integer, optional) — Page size (maximum 100)
- `cursor` (string, optional) — Opaque page cursor

## Response

### 200

OK

- `items` (list of v4.AgentSkillRelationship, optional)
- `next_cursor` (string, optional)
- `total_size` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (v4.ErrorBody, optional)

### 401 Unauthorized Error

Unauthorized

- `error` (v4.ErrorBody, optional)

### 403 Forbidden Error

Forbidden

- `error` (v4.ErrorBody, optional)

### 404 Not Found Error

Not Found

- `error` (v4.ErrorBody, optional)

### 503 Service Unavailable Error

Service Unavailable

- `error` (v4.ErrorBody, optional)

## Types

### v4.AgentSkillRelationship

- `application_state` (string, optional)
- `kind` (string, optional)
- `related_package_name` (string, optional)
- `related_skill_kind` (string, optional)
- `related_skill_name` (string, optional)
- `related_skill_task_family` (string, optional)
- `related_skill_uuid` (string, optional)
- `related_skill_version` (integer, optional)
- `related_version_constraint` (string, optional)
- `resource_name` (string, optional)
- `resource_version_constraint` (string, optional)
- `trajectory_outcome` (string, optional)
- `trajectory_task_family` (string, optional)
- `trajectory_uuid` (string, optional)
- `trajectory_verification` (string, optional)

### v4.ErrorBody

- `code` (string, optional)
- `details` (map from string to any, optional)
- `message` (string, optional)
- `param` (string, optional)
- `request_id` (string, optional)

## Examples

**Response**

```json
{
  "items": [
    {
      "application_state": "string",
      "kind": "string",
      "related_package_name": "string",
      "related_skill_kind": "string",
      "related_skill_name": "string",
      "related_skill_task_family": "string",
      "related_skill_uuid": "string",
      "related_skill_version": 1,
      "related_version_constraint": "string",
      "resource_name": "string",
      "resource_version_constraint": "string",
      "trajectory_outcome": "string",
      "trajectory_task_family": "string",
      "trajectory_uuid": "string",
      "trajectory_verification": "string"
    }
  ],
  "next_cursor": "string",
  "total_size": 1
}
```